<?php
/**
 * Product Loop Start
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/loop-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$column = is_cart() || is_product() ? goldsmith_wc_sells_product_column() : goldsmith_wc_product_column();
$masonry_column = isset($_GET['column']) ? esc_html($_GET['column']) : goldsmith_settings( 'shop_masonry_column', '4' );
$masonry    = 'masonry' == goldsmith_settings( 'shop_grid_type', 'grid' ) || ( isset( $_GET['shop_grid'] ) && $_GET['shop_grid'] == 'masonry' ) ? ' data-mcolumn="'.$masonry_column.'"'  : '';
?>
<div class="goldsmith-products products row <?php echo apply_filters( 'goldsmith_products_column', $column ); ?>"<?php printf('%s', $masonry ); ?>>
